Skip to content

List Work Agents

GET
/work/agents

The Work agents this caller may see: their own and the organization’s shared ones.

Authorizations

Parameters

Query Parameters

limit

Page size

integer
default: 50 >= 1 <= 100

Page size

after
Any of:
string format: uuid

next_cursor from the previous page

Header Parameters

X-Target-Org-Id
Any of:
string

Responses

200

Successful Response

object
data
required

One page of visible Work agents.

object
items

Agents on this page

Array<object>

One Work agent profile as the caller may see it.

object
agent_id
Any of:
string
avatar
Any of:
string
can_edit
Any of:
boolean
description
Any of:
string
name
Any of:
string
owner_id
Any of:
string
role
Any of:
string
updated_at
Any of:
string
version
Any of:
integer
visibility
Any of:
string
key
additional properties
any
next_cursor
Any of:
string
pagination
Any of:
object
has_next
required

Whether there are more pages

boolean
limit
required

Items per page

integer
next_cursor
Any of:
string
notes
Any of:
Array<string>
page
required

Current page number (1-indexed)

integer
total
required

Total number of items

integer
total_available
Any of:
integer
total_is_lower_bound
Any of:
boolean

422

Validation Error

object
detail
Array<object>
object
loc
required
Array
msg
required
string
type
required
string